local wezterm = require 'wezterm'

return {
    font = wezterm.font 'JetBrainsMono Nerd Font Mono',
    -- freetype_load_target = 'Light',
    -- freetype_render_target = 'HorizontalLcd',
    color_scheme = 'Catppuccin Mocha',
    window_background_opacity = 0.9,
    max_fps = 165,
    -- front_end = "WebGpu",
    -- webgpu_power_preference = "HighPerformance",
    initial_cols = 160,
    initial_rows = 48,
    window_padding = {
        left = 10,
        right = 5,
        top = 0,
        bottom = 0,
    },
    keys = {
        {
            key = '|',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.SplitHorizontal,
        },
        {
            key = '"',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.SplitVertical,
        },
        {
            key = 'h',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivatePaneDirection 'Left',
        },
        {
            key = 'j',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivatePaneDirection 'Down',
        },
        {
            key = 'k',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivatePaneDirection 'Up',
        },
        {
            key = 'l',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivatePaneDirection 'Right',
        },
        {
            key = '{',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivateTabRelative(-1),
        },
        {
            key = '}',
            mods = 'CTRL|SHIFT',
            action = wezterm.action.ActivateTabRelative(1),
        },
    },
}
